FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Typedefs | Functions
ftxui::animation::easing Namespace Reference

## Typedefs
using | Function = std::function<float(float)>

## Functions
float | Linear (float p)
| Modeled after the line y = x.
float | QuadraticIn (float p)
| Modeled after the parabola y = x^2.
float | QuadraticOut (float p)
float | QuadraticInOut (float p)
float | CubicIn (float p)
float | CubicOut (float p)
float | CubicInOut (float p)
float | QuarticIn (float p)
float | QuarticOut (float p)
float | QuarticInOut (float p)
float | QuinticIn (float p)
float | QuinticOut (float p)
float | QuinticInOut (float p)
float | SineIn (float p)
float | SineOut (float p)
float | SineInOut (float p)
float | CircularIn (float p)
float | CircularOut (float p)
float | CircularInOut (float p)
float | ExponentialIn (float p)
float | ExponentialOut (float p)
float | ExponentialInOut (float p)
float | ElasticIn (float p)
float | ElasticOut (float p)
float | ElasticInOut (float p)
float | BackIn (float p)
float | BackOut (float p)
float | BackInOut (float p)
float | BounceIn (float p)
float | BounceOut (float p)
float | BounceInOut (float p)

## Typedef Documentation

## ◆ Function

using Function = std::function<float(float)>

Definition at line 45 of file animation.hpp.

## Function Documentation

## ◆ Linear()

float Linear | ( | float | p | ) |

Modeled after the line y = x.

Definition at line 29 of file animation.cpp.

## ◆ QuadraticIn()

float QuadraticIn | ( | float | p | ) |

Modeled after the parabola y = x^2.

Definition at line 34 of file animation.cpp.

## ◆ QuadraticOut()

float QuadraticOut | ( | float | p | ) |

Definition at line 39 of file animation.cpp.

## ◆ QuadraticInOut()

float QuadraticInOut | ( | float | p | ) |

Definition at line 46 of file animation.cpp.

## ◆ CubicIn()

float CubicIn | ( | float | p | ) |

Definition at line 51 of file animation.cpp.

## ◆ CubicOut()

float CubicOut | ( | float | p | ) |

Definition at line 56 of file animation.cpp.

## ◆ CubicInOut()

float CubicInOut | ( | float | p | ) |

Definition at line 64 of file animation.cpp.

## ◆ QuarticIn()

float QuarticIn | ( | float | p | ) |

Definition at line 73 of file animation.cpp.

## ◆ QuarticOut()

float QuarticOut | ( | float | p | ) |

Definition at line 78 of file animation.cpp.

## ◆ QuarticInOut()

float QuarticInOut | ( | float | p | ) |

Definition at line 86 of file animation.cpp.

## ◆ QuinticIn()

float QuinticIn | ( | float | p | ) |

Definition at line 95 of file animation.cpp.

## ◆ QuinticOut()

float QuinticOut | ( | float | p | ) |

Definition at line 100 of file animation.cpp.

## ◆ QuinticInOut()

float QuinticInOut | ( | float | p | ) |

Definition at line 108 of file animation.cpp.

## ◆ SineIn()

float SineIn | ( | float | p | ) |

Definition at line 117 of file animation.cpp.

## ◆ SineOut()

float SineOut | ( | float | p | ) |

Definition at line 122 of file animation.cpp.

## ◆ SineInOut()

float SineInOut | ( | float | p | ) |

Definition at line 127 of file animation.cpp.

## ◆ CircularIn()

float CircularIn | ( | float | p | ) |

Definition at line 132 of file animation.cpp.

## ◆ CircularOut()

float CircularOut | ( | float | p | ) |

Definition at line 137 of file animation.cpp.

## ◆ CircularInOut()

float CircularInOut | ( | float | p | ) |

Definition at line 144 of file animation.cpp.

## ◆ ExponentialIn()

float ExponentialIn | ( | float | p | ) |

Definition at line 152 of file animation.cpp.

## ◆ ExponentialOut()

float ExponentialOut | ( | float | p | ) |

Definition at line 157 of file animation.cpp.

## ◆ ExponentialInOut()

float ExponentialInOut | ( | float | p | ) |

Definition at line 164 of file animation.cpp.

## ◆ ElasticIn()

float ElasticIn | ( | float | p | ) |

Definition at line 177 of file animation.cpp.

## ◆ ElasticOut()

float ElasticOut | ( | float | p | ) |

Definition at line 184 of file animation.cpp.

## ◆ ElasticInOut()

float ElasticInOut | ( | float | p | ) |

Definition at line 191 of file animation.cpp.

## ◆ BackIn()

float BackIn | ( | float | p | ) |

Definition at line 202 of file animation.cpp.

## ◆ BackOut()

float BackOut | ( | float | p | ) |

Definition at line 207 of file animation.cpp.

## ◆ BackInOut()

float BackInOut | ( | float | p | ) |

Definition at line 215 of file animation.cpp.

## ◆ BounceIn()

float BounceIn | ( | float | p | ) |

Definition at line 224 of file animation.cpp.

## ◆ BounceOut()

float BounceOut | ( | float | p | ) |

Definition at line 228 of file animation.cpp.

## ◆ BounceInOut()

float BounceInOut | ( | float | p | ) |

Definition at line 244 of file animation.cpp.